nautilus-property-page-provider
3
LIBNAUTILUS-EXTENSION Library

# nautilus-property-page-provider

## Synopsis

                        NautilusPropertyPageProvider;
                        NautilusPropertyPageProviderIface;
    GList *             nautilus_property_page_provider_get_pages
                                                            (NautilusPropertyPageProvider *provider,
                                                             GList *files);

## Object Hierarchy

      GInterface
       +----NautilusPropertyPageProvider

## Prerequisites

NautilusPropertyPageProvider requires GObject.

## Description

## Details

### NautilusPropertyPageProvider

    typedef struct _NautilusPropertyPageProvider NautilusPropertyPageProvider;

### NautilusPropertyPageProviderIface

    typedef struct {
    	GTypeInterface g_iface;

    	GList *(*get_pages) (NautilusPropertyPageProvider     *provider,
    			     GList                    *files);
    } NautilusPropertyPageProviderIface;

### nautilus_property_page_provider_get_pages ()

    GList *             nautilus_property_page_provider_get_pages
                                                            (NautilusPropertyPageProvider *provider,
                                                             GList *files);

This function is called by Nautilus when it wants property page items from the extension.

This function is called in the main thread before a property page is shown, so it should return quickly.

`provider` :

  a NautilusPropertyPageProvider

`files` :

  a GList of NautilusFileInfo

Returns :

  A GList of allocated NautilusPropertyPage items.